﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
}

.trash {
    color: rgb(209, 91, 71);
}

.flag {
    color: rgb(248, 148, 6);
}

.panel-body {
    padding: 0px;
}

.panel-footer .pagination {
    margin: 0;
}

.panel .glyphicon, .list-group-item .glyphicon {
    margin-right: 5px;
}

.panel-body .radio, .checkbox {
    display: inline-block;
    margin: 0px;
}

.panel-body input[type=checkbox]:checked + label {
    text-decoration: line-through;
    color: rgb(128, 144, 160);
}

.list-group-item:hover, a.list-group-item:focus {
    text-decoration: none;
    background-color: rgb(245, 245, 245);
}

.list-group {
    margin-bottom: 0px;
}

#home-link {
    padding-right: 40px;
}

.toast-item-wrapper.success {
    background-color: #6ec881 !important;
    border: 0 !important;
}

.toast-item-wrapper.error {
    background-color: #f77 !important;
    border: 0 !important;
}

.toast-item-wrapper {
    padding: 19px !important;
    font-weight: bold !important;
    padding-left: 50px !important;
}

    .toast-item-wrapper.fullscreen {
        width: calc(100% - 300px) !important;
        left: 15% !important;
    }

.dxqb-preview .dx-overlay-content {
    width: 85% !important;
}

.dx-overlay-shader {
    background-color: rgba(0,0,0,.6) !important;
}